# $Revision: 1.39.2.3 $, $Date: 2006/07/18 02:27:43 $
Summary:	GNOME 2 libraries for Ruby
Summary(pl):	Biblioteki GNOME 2 dla Ruby
Name:		ruby-gnome2
Version:	0.15.0
Release:	1
License:	GPL
Group:		Development/Languages
Source0:	http://dl.sourceforge.net/ruby-gnome2/%{name}-all-%{version}.tar.gz
# Source0-md5:	3e5b89b674a2b60ff9d3a2eeac0468e9
URL:		http://ruby-gnome2.sourceforge.jp/
BuildRequires:	GConf2-devel >= 2.0
BuildRequires:	glib2-devel >= 2.0
BuildRequires:	gnome-panel-devel >= 2.0
BuildRequires:	gnome-vfs2-devel >= 2.0
BuildRequires:	gstreamer-plugins-base-devel
BuildRequires:	gtk+2-devel >= 2:2.2
BuildRequires:	gtkglext-devel >= 1.0
BuildRequires:	gtksourceview-devel
BuildRequires:	libart_lgpl-devel >= 2.0
BuildRequires:	libgda-devel
BuildRequires:	libglade2-devel >= 2.0
BuildRequires:	libgnomecanvas-devel >= 2.0
BuildRequires:	libgnomeprintui-devel
BuildRequires:	libgnomeui-devel >= 2.0
BuildRequires:	libgtkhtml-devel >= 2.0
BuildRequires:	libpng-devel
BuildRequires:	librsvg-devel
BuildRequires:	pango-devel
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.277
BuildRequires:	ruby-devel
BuildRequires:	sed >= 4.0
Requires:	ruby-rcairo
Requires:	ruby-rbogl
%{?ruby_mod_ver_requires_eq}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNOME 2 libraries for Ruby, including GTKHtml2.

%description -l pl
Biblioteki GNOME 2 dla Ruby, wcznie z GTKHtml2.

%package devel
Summary:	Header files for Ruby-GNOME2
Summary(pl):	Pliki nagwkowe dla Ruby-GNOME2
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for Ruby-GNOME2.

%description devel -l pl
Pliki nagwkowe dla Ruby-GNOME2.

%package doc-ri
Summary:	Ruby-GNOME2 ri documentation
Summary(pl):	Dokumentacja dla Ruby-GNOME2 w formacie ri.
Group:		Documentation
Requires:	%{name} = %{version}-%{release}

%description doc-ri
Ruby-GNOME2 ri documentation.

%description doc-ri -l pl
Dokumentacja dla Ruby-GNOME2 w formacie ri.

%package examples
Summary:	Ruby-GNOME2 examples
Summary(pl):	Przykady do Ruby-GNOME2
Group:		Development/Libraries

%description examples
Ruby-GNOME2 examples.

%description examples -l pl
Przykady do Ruby-GNOME2.

%prep
%setup -q -n %{name}-all-%{version}
find . -name '*.rb' | xargs sed -i -e '1s,#.*local/bin/ruby,#!%{_bindir}/ruby,'

%build
ruby extconf.rb --enable-glib-experimental
%{__make}

rdoc -o rdoc
rdoc --ri -o ri

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_archdir},%{ruby_rubylibdir},%{ruby_ridir}} \
	$RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/{gtkhtml2,gnomecanvas,libart,libglade,gtkglext,gtk/gtk-demo,gtk/misc,gtk/testgtk,gnome/test-gnome,gdkpixbuf,pango}

%{__make} install \
		RUBYLIBDIR=$RPM_BUILD_ROOT%{ruby_rubylibdir} \
		sitearchdir=$RPM_BUILD_ROOT%{ruby_archdir} \
		RUBYARCHDIR=$RPM_BUILD_ROOT%{ruby_archdir}

install gtkhtml2/sample/*.rb \
	$RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/gtkhtml2

install gnomecanvas/sample/*.rb \
	$RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/gnomecanvas

install libart/sample/*.rb \
	$RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/libart

install libglade/sample/*.rb \
	$RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/libglade

install gtkglext/sample/*.rb \
	$RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/gtkglext

install gnome/sample/*.rb \
	$RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/gnome

install pango/sample/*.rb \
	$RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/pango

install gdkpixbuf/sample/*.rb \
	$RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/gdkpixbuf

install gtk/sample/gtk-demo/*.rb \
	$RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/gtk/gtk-demo

install gtk/sample/misc/*.rb \
	$RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/gtk/misc

install gtk/sample/testgtk/*.rb \
	$RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/gtk/testgtk

install gnome/sample/test-gnome/*.rb \
	$RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/gnome/test-gnome

cp -a ri/ri/* $RPM_BUILD_ROOT%{ruby_ridir}
rm -rf $RPM_BUILD_ROOT%{ruby_ridir}/ri/ri/{Array,Object,TC*,Test*}

rm -f $RPM_BUILD_ROOT%{ruby_ridir}/Array/cdesc-Array.yaml

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README ChangeLog rdoc
%attr(755,root,root) %{ruby_archdir}/*.so
%{ruby_rubylibdir}/*.rb
%{ruby_rubylibdir}/gtk2

%files devel
%defattr(644,root,root,755)
%{ruby_archdir}/*.h

%files doc-ri
%defattr(644,root,root,755)
%{ruby_ridir}/*

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ruby-gnome2.spec,v $
Revision 1.39.2.3  2006/07/18 02:27:43  aredridel
- gstreamer 0.10 deps

Revision 1.39.2.2  2006/07/18 01:52:56  aredridel
- merge from HEAD

Revision 1.41  2006/07/02 10:15:20  aredridel
- 0.15.0

Revision 1.40  2006/04/05 17:28:13  qboosh
- dot

Revision 1.39.2.1  2006/04/04 20:54:02  twittner
- gstreamer-0.8 deps for Ac
- rel. 1.1, STBR Ac-test athlon because package on FTP is
  broken due to lack of pango.{rb,so} files and reason is
  unknown, buildlogs not available, etc. Thanks to Liliane
  Ziolek for spotting and reporting this.

Revision 1.39  2006/04/03 22:57:01  twittner
- fix subpkg. name with ri documentation
- typos

Revision 1.38  2006/04/03 22:37:47  twittner
- subpackages
- rel. 2

Revision 1.37  2006/03/07 19:39:38  aredridel
- gstreamer 0.10 deps

Revision 1.36  2005/12/31 10:36:33  twittner
- change %%ruby_mod_ver_requires_eq to %%{?ruby_mod_ver_requires_eq} -
  expand this macro only if defined to avoid parse error when appropriate
  BRs is not installed yet (solution provided by glen)

Revision 1.35  2005/12/29 16:59:48  twittner
- replace R: ruby-modules with %%ruby_mod_ver_requires_eq macro
  defined as `Requires: ruby-modules(ver) = 1.8' where `1.8' is
  major ruby version taken from rbconfig
- add BR: rpmbuild(macros) >= 1.277 with aforementioned macros

Revision 1.34  2005/11/19 13:32:04  glen
- use system ruby macros
- cleanups, corrections, cosmetics

Revision 1.33  2005/11/16 15:49:13  aredridel
- up to 0.14.1

Revision 1.32  2005/10/20 08:05:32  aredridel
- up to 0.14.0
- cleaned build

Revision 1.31  2005/07/31 18:35:18  aredridel
- up to 0.13.0

Revision 1.30  2005/04/28 11:38:23  speedy
- release 3
- remove cdesc-Array.yaml

Revision 1.29  2005/04/27 09:29:16  speedy
- release 2

Revision 1.28  2005/04/21 21:45:00  aredridel
- add missing libglade (build is not consistent)

Revision 1.27  2005/04/20 10:13:05  freetz
- install missing gdkpixbuf, --short-circuit friendly, rel 1.1

Revision 1.26  2005/04/01 19:00:37  qboosh
- pl and defattr for -devel

Revision 1.25  2005/04/01 10:53:51  aredridel
- finish -devel split

Revision 1.24  2005/03/28 08:24:05  aredridel
- massively simplified build
- all files packaged

Revision 1.23  2005/03/07 05:38:17  aredridel
- up to 0.12.0

Revision 1.22  2005/02/28 21:55:19  qboosh
- s/unc\.dl/dl/ in Source URL (unc is no longer browsable)

Revision 1.21  2004/12/30 02:13:34  aredridel
- rel 2
- STBR

Revision 1.20  2004/12/30 02:09:32  aredridel
- BR: ruby-devel

Revision 1.19  2004/12/30 01:54:43  aredridel
- missing deps
- STBR (with ruby-rbogl)

Revision 1.18  2004/11/27 18:52:09  saq
- massive attack: add missing gtk+2-devel epoch in BR

Revision 1.17  2004/11/15 02:31:49  aredridel
- added missing files
- TODO: Automate new files added

Revision 1.16  2004/11/14 18:39:18  aredridel
- start update to 1.11.0

Revision 1.15  2004/08/21 04:04:58  aredridel
- clean up overlapping ri docs

Revision 1.14  2004/08/20 15:00:29  aredridel
- up to 0.10.1
- add docs

Revision 1.13  2004/08/15 14:59:30  aredridel
- fixed gtksourceview build
- br: libpng-devel

Revision 1.12  2004/08/09 00:18:50  aredridel
- install -all- parts

Revision 1.11  2004/08/08 23:34:21  ankry
- cosmetics

Revision 1.10  2004/08/08 23:20:56  aredridel
- up to 0.10.0

Revision 1.9  2004/06/09 23:15:08  aredridel
- fixes

Revision 1.8  2004/06/09 20:55:31  aredridel
- up to 0.9.1
- removed gstreamer, because it requires 0.6

Revision 1.7  2004/03/08 14:48:44  aredridel
- up to 0.9.0

Revision 1.6  2003/11/08 15:52:28  aredridel
- up to pre-0.8.0-cvs 20031108

Revision 1.5  2003/10/24 14:14:56  qboosh
- more BRs (one for each built module and pkgconfig)

Revision 1.4  2003/10/13 22:18:30  qboosh
- pl, some cleanups/unifications

Revision 1.3  2003/09/16 20:49:05  aredridel
- added patch to support implementing Glib::Interfaces

Revision 1.2  2003/09/16 15:20:03  aredridel
- spec cleanups

Revision 1.1  2003/09/07 17:34:01  aredridel
- added
